﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title></title>
	<style>
		html,
		body,
		form
		{
			height: 100%;
			width: 100%;
			margin: 0px;
			padding: 0px;
			overflow: hidden;
		}

		.header
		{
			width: 100%;
			height: 20px;
			background: blue;
			color: white;
		}

		.menu
		{
			width: 100%;
			height: 20px;
			background: black;
			color: white;
		}

		.footer
		{
			height: 20px;
			width: 100%;
			background: blue;
			color: white;
			position: absolute;
			bottom: 0;
		}
	</style>


</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server" EnableTheming="True">
		</telerik:RadScriptManager>

		<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
			<AjaxSettings>
				<telerik:AjaxSetting AjaxControlID="RadGrid1">
					<UpdatedControls>
						<telerik:AjaxUpdatedControl ControlID="InnerSplitter" LoadingPanelID="RadAjaxLoadingPanel1" UpdatePanelHeight="100%"/>
					</UpdatedControls>
				</telerik:AjaxSetting>
			</AjaxSettings>
		</telerik:RadAjaxManager>
		<telerik:RadSplitter ID="AdditionalSplitter1" runat="server" Orientation="Horizontal" Width="100%" Height="100%">
			<telerik:RadPane ID="AdditionalPane1" runat="server" Height="20px">
				<div class="header">Header</div>
			</telerik:RadPane>
			<telerik:RadPane ID="AdditionalPane2" runat="server" Height="20px">
				<div class="menu">Menu</div>
			</telerik:RadPane>
			<telerik:RadPane ID="AdditionalPane3" runat="server" Scrolling="None">
				<%--<asp:Panel ID="LatePanel" runat="server" Height="100%" Width="100%">--%>
				<telerik:RadSplitter runat="server" ID="InnerSplitter" Orientation="Vertical" VisibleDuringInit="false" Width="100%" Height="100%" HeightOffset="60">

					<telerik:RadPane ID="LeftMenuPane" runat="server" Scrolling="None" BackColor="SteelBlue" Width="27%">
						right           
					</telerik:RadPane>

					<telerik:RadSplitBar runat="server" ID="RadSplitBar4" />

					<telerik:RadPane ID="RightMenuPane" runat="server" Scrolling="None" BackColor="Tomato">
						<%-- >>RADGRID--%>
						<telerik:RadGrid ID="RadGrid1" Height="100%" runat="server" OnNeedDataSource="RadGrid1_NeedDataSource"
							AllowSorting="true">
							<ClientSettings EnablePostBackOnRowClick="true" EnableRowHoverStyle="true">
								<Selecting AllowRowSelect="true" />
								<Scrolling AllowScroll="True" UseStaticHeaders="True" />
							</ClientSettings>
							<MasterTableView Width="100%" TableLayout="Fixed" AutoGenerateColumns="true">
								<Columns>
									<telerik:GridBoundColumn DataField="EmployeeID" HeaderText="EmployeeID"></telerik:GridBoundColumn>
									<telerik:GridBoundColumn DataField="LastName" HeaderText="LastName"></telerik:GridBoundColumn>
									<telerik:GridBoundColumn DataField="FirstName" HeaderText="FirstName"></telerik:GridBoundColumn>
									<telerik:GridBoundColumn DataField="Title" HeaderText="Title"></telerik:GridBoundColumn>
									<telerik:GridBoundColumn DataField="ReportsTo" HeaderText="ReportsTo"></telerik:GridBoundColumn>
								</Columns>
							</MasterTableView>
							<ClientSettings>
								<Scrolling AllowScroll="true" UseStaticHeaders="true" />
							</ClientSettings>
						</telerik:RadGrid>
						<%-- <<RADGRID--%>
					</telerik:RadPane>

				</telerik:RadSplitter>
				<%--</asp:Panel>--%>
			</telerik:RadPane>
			<telerik:RadPane ID="AdditionalPane4" runat="server" Height="20px">
				<div class="footer">Footer</div>
			</telerik:RadPane>
		</telerik:RadSplitter>
	</form>
</body>
</html>
